Uploaded image for project: 'Apache Arrow'
  1. Apache Arrow
  2. ARROW-7407

[Python] Failed to install pyarrow 0.15.1 on Python 3.8

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Critical
    • Resolution: Fixed
    • Affects Version/s: 0.15.1
    • Fix Version/s: 0.16.0
    • Component/s: Python
    • Environment:
      Arch Linux (5.4.2), Python 3.8.0

      Description

      Hi, I cannot install pyarrow 0.15.1

      Steps:

      $ python3 -m venv virtualenv
      $ source virtualenv/bin/activate
      $ pip install numpy
      $ virtualenv/bin/python3 -c 'import numpy as n; print(n.__version__); print(n.get_include());'
      1.17.4
      /tmp/virtualenv/lib/python3.8/site-packages/numpy/core/include
      
      $ pip install pyarrow==0.15.1

      Log: see attached log

        Attachments

        1. pyarrow-pip.log
          43 kB
          Pavol Plaskoň

          Issue Links

            Activity

              People

              • Assignee:
                uwe Uwe Korn
                Reporter:
                enkeili Pavol Plaskoň
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Time Tracking

                  Estimated:
                  Original Estimate - Not Specified
                  Not Specified
                  Remaining:
                  Remaining Estimate - 0h
                  0h
                  Logged:
                  Time Spent - 1h
                  1h